/* Elvira Bluetooth FTP 
 * Copyright (C) 2007  Alberto Salas Bragado
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef FS_LOCAL_H_
#define FS_LOCAL_H_

#include <dirent.h>
#include <unistd.h>
#include <sys/param.h> 
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/stat.h>

#include "types.h"

int localfs_list(char *directory, file_t **lista);
int localfs_rperm(char *name);
int localfs_wperm(char *name);
int localfs_xperm(char *name);
int localfs_exist(char *name);

#endif /*FS_LOCAL_H_*/
